CVE-2021-32924

Click the icon to Follow me:- twitterTelegramRedditDiscord

Summary:

Invision Community (aka IPS Community Suite) before 4.6.0 allows eval-based PHP code injection by a moderator because the IPS\cms\modules\front\pages\_builder::previewBlock method interacts unsafely with the IPS\_Theme::runProcessFunction method.

Reference Links(if available):

  • https://hackerone.com/reports/1092574
  • http://seclists.org/fulldisclosure/2021/May/80
  • http://packetstormsecurity.com/files/162868/IPS-Community-Suite-4.5.4.2-PHP-Code-Injection.html
  • http://karmainsecurity.com/KIS-2021-04
  • https://invisioncommunity.com/features/security/
  • CVSS Score (if available)

    v2: / MEDIUM

    v3: /

    Links to Exploits(if available)

  • Available for Amazon Prime